class SpeechesController < ApplicationController
  layout 'test' if MagicNumber['test_layout']
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  def list
    @speeches = Speech.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speeches }
    end
  end

  def browse
    @speech = Speech.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speech }
    end
  end

end
