module ApplicationHelper
  def full_url filename
    request.protocol + request.host_with_port + filename
  end
  
  def t_m(label)
    l = label.split('.')
    if l.size > 2
      label
    else
      if l.size == 1
        label.constantize.model_name.human
      else
        l.first.constantize.human_attribute_name(l.last)
      end
    end
  end
  
  def t_select_items(items)
    items.map {|i| [t(i[0]), i[1]] }
  end
  
  def t_selected_item(name, index)
    t(MagicNumber[name][index][0])
  end
end
